/**********************************************************************\
 * IconRenderer
 *		converts table entries into images
\**********************************************************************/

package Life;

import javax.swing.*;

public class IconRenderer extends javax.swing.table.DefaultTableCellRenderer {
	static ImageIcon filledIcon = createImageIcon("../fill.gif", "True");
	static ImageIcon emptyIcon = createImageIcon("../empty.gif", "False");

    public IconRenderer() {
    	super();
    }

 	// main function called for table renderers
    public void setValue(Object value) {
		Boolean data = (Boolean) value;
		if (data.booleanValue()) {
	        setIcon(filledIcon);
	    } else {
	    	setIcon(emptyIcon);
	    }
    }
    
    // Returns an ImageIcon, or null if the path was invalid
	protected static ImageIcon createImageIcon(String path,
    	                                       String description) {
	    java.net.URL imgURL = Life.class.getResource(path);
    	if (imgURL != null) {
        	return new ImageIcon(imgURL, description);
	    } else {
    	    System.err.println("Couldn't find file: " + path);
        	return null;
	    }
	}
}